#!/usr/bin/env bash

start_service() {
    case "$1" in
        docker) colima start --mount $HOME:w --mount /Volumes/SSD:w ;;
        cisco|postgresql|zerotier|wireshark|openvpn) loader.sh -l "$1" ;;
        *) echo "Invalid command." >&2; exit 1 ;;
    esac
}

stop_service() {
    case "$1" in
        docker) colima stop ;;
        cisco|postgresql|zerotier|wireshark|openvpn) loader.sh -u "$1" ;;
        *) echo "Invalid command." >&2; exit 1 ;;
    esac
}

case "$1" in
    start)
        shift
        for service in "$@"; do
            start_service "$service"
        done
        ;;
    stop)
        shift
        for service in "$@"; do
            stop_service "$service"
        done
        ;;
    *)
        echo "Usage: $0 {start|stop} <service>" >&2
        exit 1
        ;;
esac

